Detach volume
curl --request POST \
--url https://api.gcore.com/cloud/v2/volumes/{project_id}/{region_id}/{volume_id}/detach \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "169942e0-9b53-42df-95ef-1a8b6525c2bd"
}
'import requests
url = "https://api.gcore.com/cloud/v2/volumes/{project_id}/{region_id}/{volume_id}/detach"
payload = { "instance_id": "169942e0-9b53-42df-95ef-1a8b6525c2bd" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({instance_id: '169942e0-9b53-42df-95ef-1a8b6525c2bd'})
};
fetch('https://api.gcore.com/cloud/v2/volumes/{project_id}/{region_id}/{volume_id}/detach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Volumes
Detach volume
Detach the volume from instance
POST
/
cloud
/
v2
/
volumes
/
{project_id}
/
{region_id}
/
{volume_id}
/
detach
Detach volume
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Volume ID
Example:
"726ecfcc-7fd0-4e30-a86e-7892524aa483"
Body
application/json
Instance ID
Example:
"169942e0-9b53-42df-95ef-1a8b6525c2bd"
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]Was this page helpful?
⌘I